std::__future_base::_Result< void > Struct Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::__future_base::_Result< void >:
[legend]

## Public Types

typedef void | result_type

## Public Member Functions

void | _M_set (const void &__res)
void & | _M_value () noexcept

## Public Attributes

exception_ptr | _M_error
exception_ptr | _M_error

## Detailed Description

Explicit specialization for void.

Definition at line 649 of file future.

## Member Typedef Documentation

## result_type

typedef void std::__future_base::_Result< void >::result_type

Definition at line 651 of file future.

## Constructor & Destructor Documentation

## _Result()

std::__future_base::_Result< void >::_Result | ( |  | ) |

inline noexcept

Definition at line 235 of file future.

## ~_Result()

std::__future_base::_Result< void >::~_Result | ( |  | ) |

inline

Definition at line 237 of file future.

## Member Function Documentation

## _M_set()

void std::__future_base::_Result< void >::_M_set | ( | const void & | __res | ) |

inline

Definition at line 248 of file future.

## _M_value()

void & std::__future_base::_Result< void >::_M_value | ( |  | ) |

inline noexcept

Definition at line 245 of file future.

## Member Data Documentation

## _M_error [1/2]

exception_ptr std::__future_base::_Result_base::_M_error

Definition at line 202 of file future.

## _M_error [2/2]

exception_ptr std::__future_base::_Result_base::_M_error

inherited

Definition at line 202 of file future.

The documentation for this struct was generated from the following file:

- future